Package groovy.lang

# Annotation Type DelegatesTo.Target

Enclosing class:
  `DelegatesTo`

@Retention(RUNTIME) @Target(PARAMETER) public static @interface DelegatesTo.Target
Parameter annotation used to specify the delegate for a `@DelegatesTo` annotated parameter of the same method.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`value`
An identifier that should be used to disambiguate targets when there are multiple `@DelegatesTo.Target` annotated parameters.

## Element Details

### value

String value
An identifier that should be used to disambiguate targets when there are multiple `@DelegatesTo.Target` annotated parameters.

Default:
  `""`